﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - My ASP.NET Application</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We" crossorigin="anonymous">
</head>
<body>
    
    <header class="p-3 bg-dark text-white">
      
        <div class="container">
            <div class="d-flex flex-wrap align-items-center justify-content-center justify-content-lg-start">
                <a href='@Url.Action("Index", "Home")' class="btn btn-warning btn-lg active" role="button" aria-pressed="true"><p class="h5">CAT HUB</p></a>
                <ul class="nav col-12 col-lg-auto me-lg-auto mb-2 justify-content-center mb-md-0">
                </ul>

                <form class="col-12 col-lg-auto mb-3 mb-lg-0 me-lg-3">

                    <div class="dropdown ">
                        <a class="btn btn-warning dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Themes
                        </a>

                        <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">

                            @Html.Action("Themes", "Partial")
                        </div>
                    </div>




                </form>

                @using (Html.BeginForm("Search", "Home", new { id = "search-fld" }, FormMethod.Post, new { @class = "col-12 col-lg-auto mb-3 mb-lg-0 me-lg-3", role = "form" }))
                {

                    @Html.AntiForgeryToken()

                    <input type="search" value="" name="id" id="search-fld" class="form-control form-control-dark" placeholder="Search..." aria-label="Search">
                }





            <div class="text-end">

                @{ if (User.Identity.IsAuthenticated)
                    {
                        <a href='@Url.Action("Edit", "Account")' class="btn btn-outline-light me-2">@User.Identity.Name</a>
                        <a href='@Url.Action("MyVideo", "Video")' class="btn btn-warning">My video</a>
                        if (this.User.IsInRole("admin"))
                        {
                            <a href='@Url.Action("AdminMenu", "Home")' class="btn btn-warning">Admin</a>
                        }

                        <a href='@Url.Action("Logout", "Account")' class="btn btn-warning">Logout</a>
                    }
                    else
                    {
                        <a href='@Url.Action("Register", "Account")' class="btn btn-outline-light me-2">Sign up</a>
                        <a href='@Url.Action("Login", "Account")' class="btn btn-warning">Login</a>

                    }
                }



            </div>
            </div>
        </div>
    </header>


    <main>

        @RenderBody()

    </main>

    <footer class="text-center text-white fixed-bottom" style="background-color: #21081a;">
        <!-- Grid container -->
        <div class="container p-1"></div>
        <!-- Grid container -->
        <!-- Copyright -->
        <div class="text-center p-1" style="background-color: rgba(0, 0, 0, 0.2);">
            © 2021 Copyright:
            <a class="text-white" href="#">Oleksandr Shibalenko</a>
        </div>
        <!-- Copyright -->
    </footer>

    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>

</body>
</html>